form:
  tabs:
    - name: tabPrincipal
      label: Media image 
      fields:
        - !include /templating/dialogs/common/include/required/damUploadField.yaml
        - !include /templating/dialogs/common/include/not-required/internal-url.yaml
        - name: ratio
          class: info.magnolia.ui.form.field.definition.OptionGroupFieldDefinition
          multiselect: false
          required: false
          label: Image ratio
          options:
            - name: ratio1
              label: Ratio 50%
              value: ratio1
              selected: true
            - name: ration2
              label: Ratio 66%
              value: ratio2
        - name: displayType
          transformerClass: info.magnolia.ui.form.field.transformer.composite.DelegatingCompositeFieldTransformer
          class: info.magnolia.ui.form.field.definition.CompositeFieldDefinition
          layout: vertical
          label: ''
          fields:
            - name: title 
              label: title
              class: info.magnolia.ui.form.field.definition.TextFieldDefinition
              i18n: true
            - name: affichage
              label: Display type
              transformerClass: info.magnolia.ui.form.field.transformer.composite.SwitchableTransformer
              class: info.magnolia.ui.form.field.definition.SwitchableFieldDefinition
              layout: vertical
              options:
                - name: imageOnly
                  label: Image only
                  selected: true
                  value: imageOnly
                - name: textImage
                  label: Image and text
                  value: textImage
                - name: icon
                  label: Iccn
                  value: icon
              fields:
                - name: imageOnly
                  class: info.magnolia.ui.form.field.definition.HiddenFieldDefinition
                  defaultValue: imageSeulement
                - name: textImage
                  class: info.magnolia.ui.form.field.definition.CompositeFieldDefinition
                  label: ''
                  transformerClass: info.magnolia.ui.form.field.transformer.composite.DelegatingCompositeFieldTransformer
                  layout: vertical
                  fields:
                    - name: overTitle
                      class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                      label: Image title
                      i18n: true
                    - name: underTitle
                      class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                      label: image lesser title
                      i18n: true
                    - name: texteVisibleHover
                      class: info.magnolia.ui.form.field.definition.CheckboxFieldDefinition
                      label: Text visible on hover
                      buttonLabel: ''
                      defaultValue: true
                    - name: alignement
                      class: info.magnolia.ui.form.field.definition.OptionGroupFieldDefinition
                      multiselect: false
                      label: Alignment
                      options:
                        - name: left
                          value: left
                          label: Left
                          selected: true
                        - name: center
                          value: middle
                          label: Center
                - name: icon
                  class: info.magnolia.ui.form.field.definition.CompositeFieldDefinition
                  label: ''
                  transformerClass: info.magnolia.ui.form.field.transformer.composite.DelegatingCompositeFieldTransformer
                  layout: vertical
                  fields:
                    - name: iconeVisibleHover
                      class: info.magnolia.ui.form.field.definition.CheckboxFieldDefinition
                      label: Icon visible on hover
                      buttonLabel: ''
                      defaultValue: true
                    - name: imageRollover
                      class: info.magnolia.dam.app.ui.field.definition.DamUploadFieldDefinition
                      label: Rollover Image
                      allowedMimeTypePattern: image.*
actions: !include /templating/dialogs/common/include/actions-block.yaml